INKSCAPE(1)

NAME
Inkscape - ein Programm zum Bearbeiten von SVG-Dateien (Scalable Vector Graphics).

ÜBERSICHT
"inkscape [Optionen] [Dateiname1 Dateiname2 ...]"

Optionen:

    -?, --help
        --help-all
        --help-gapplication
        --help-gtk

    -V, --version
        --debug-info
        --system-data-directory
        --user-data-directory

    -p, --pipe
    -n, --pages=SEITE[,SEITE]
        --pdf-poppler
        --convert-dpi-method=METHODE
        --no-convert-text-baseline-spacing

    -o, --export-filename=DATEINAME
        --export-overwrite
        --export-type=DATEITYP[,DATEITYP]*
        --export-extension=ERWEITERUNGS-ID

    -C, --export-area-page
    -D, --export-area-drawing
    -a, --export-area=x0:y0:x1:y1
        --export-area-snap
    -d, --export-dpi=DPI
    -w, --export-width=BREITE
    -h, --export-height=HÖHE
        --export-margin=WERT

        --export-page=all|n[,a-b]
    -i, --export-id=OBJEKT-ID[;OBJEKT-ID]*
    -j, --export-id-only
    -l, --export-plain-svg
        --export-png-color-mode=FARBMODUS
        --export-png-compression=LEVEL
        --export-png-antialias=LEVEL
        --export-png-use-dithering=WAHRHEITSWERT
        --export-ps-level=LEVEL
        --export-pdf-version=VERSION
    -T, --export-text-to-path
        --export-latex
        --export-ignore-filters
    -t, --export-use-hints
    -b, --export-background=FARBE
    -y, --export-background-opacity=VALUE

    -I, --query-id=OBJEKT-ID[,OBJEKT-ID]*
    -S, --query-all
    -X, --query-x
    -Y, --query-y
    -W, --query-width
    -H, --query-height

        --vacuum-defs
        --select=OBJEKT-ID[,OBJEKT-ID]*
        --actions=AKTION(:ARG)[;AKTION(:ARG)]*
        --action-list
        --actions-file=DATEINAME

    -g, --with-gui
    -q, --active-window
        --display=DISPLAY
        --app-id-tag=TAG
        --batch-process
        --shell

BESCHREIBUNG
Inkscape ist ein Freier Open Source Editor für Vektorgrafiken. Er bietet vielfältige Funktionen und ist weit verbreitet bei der Bearbeitung von künstlerischen und technischen Illustrationen, wie z.B. Comics, Clip Arts, Logos, Typographie, Diagrammen und Flowcharts. Der Einsatz von Vektorgrafiken erlaubt gestochen scharfe Ausdrucke und Wiedergabe bei beliebiger Auflösung, ohne wie bei Rastergrafiken auf eine feste Anzahl von Bildpunkten limitiert zu sein. Inkscape verwendet das standardisierte SVG-Dateiformat als Arbeitsformat, welches von vielen anderen Anwendungen und Webbrowsern unterstützt wird.

Die Benutzeroberfläche wurde so entworfen, dass die Arbeit für erfahrene Nutzer komfortabel und zügig vonstatten geht, und ist gleichzeitig kompatibel zu den GNOME-Standards, damit Nutzer, die Erfahrung mit anderen GNOME-Anwendungen haben, sich schnell darin zurechtfinden.

SVG ist ein durch den W3C standardisiertes XML-Format für 2D-Vektor-Zeichnungen. Es ermöglicht die Definition von Objekten in der Zeichnung unter Verwendung von Punkten, Pfaden und einfachen Formen. Farben, Schriftarten, Konturbreite und so weiter werden als `style'-Attributes dieser Objekte definiert. Hierdurch soll ermöglicht werden, dass SVG-Dateien in einer möglichst großen Anzahl von Programmen und für ein breites Spektrum an Einsatzzwecken verwendet werden, da es standardisiert ist und die Dateien im Text-/XML-Format vorliegen.

Inkscape verwendet SVG als natives Speicherformat und hat sich zum Ziel gesetzt, das Open-Source-Zeichenprogramm für SVG-Dateien zu werden, das am genauesten den entsprechenden Standard einhält.

OPTIONEN

-?, --help
    Hilfe anzeigen

--help-all
    Alle Hilfeoptionen anzeigen

--help-gapplication
    Zeigt die GApplication-Optionen an

--help-gtk
    Zeigt die GTK+-Optionen an

-V, --version
    Inkscape-Version und Erstellungsdatum anzeigen

--debug-info
    Gibt technische Informationen wie Inkscape-Version, die Versionen von Abhängigkeiten und Betriebssystem aus. Diese Informationen sind wichtig um Fehler in Inkscape zu beheben und sollten Teil jedes Fehlerberichts sein.

--system-data-directory
    Gibt das System-Datenverzeichnis aus, in dem die zusammen mit Inkscape ausgelieferten Arbeitsdaten gespeichert sind. Diese umfassen Dateien die Inkscape zur Ausführung benötigt (Definitionen der Einheiten, eingebaute Tastaturbelegungen, Dateien die das Oberflächendesign beschreiben, Symbolthemen, etc.), Kernerweiterungen, Standard-Ressourcen (Filter, Schriftarten, Marker, Farbpaletten, Symbole, Vorlagen) und die Dokumentation (SVG Beispieldateien, Tutorials).

    Der Pfad in dem Inkscape das System-Datenverzeichnis erwartet kann mit der Umgebungsvariable INKSCAPE_DATADIR überschrieben werden.

--user-data-directory
    Gibt den Benutzer-Profilordner aus, in dem benutzerspezifische Arbeitsdaten und Einstellungen gespeichert werden. Zusätzliche Erweiterungen und Ressourcen sollten vom Nutzer in die jeweils entsprechenden Unterverzeichnisse in diesem Ordner installiert werden. Weiterhin können die meisten Vorgaben aus dem System-Datenverzeichnis überschrieben werden, indem eine Datei mit identischem Namen im Profilordner abgelegt wird (z.B. Standardvorlagen, UI Dateien, etc.).

    Der Standardpfad des Profilordners kann mit der Umgebungsvariable INKSCAPE_PROFILE_DIR überschrieben werden.

-p, --pipe
    Eingabedatei von der Standardeingabe (stdin) lesen.

--pages=SEITE
    Importiert die angegebene, Komma getrennte Liste von Seiten aus einem PDF oder einem mehrseitigen SVG-Dokument.

    Ersetzt --pdf-page aus früheren Inkscape-Versionen.

--pdf-poppler
    Standardmäßig importiert Inkscape PDF-Dateien durch eine interne (von Poppler abgeleitete) Bibliothek. Text wird als Text gespeichert. Verlaufsgitter werden gekachelt dargestellt. Benutzung von --pdf-poppler bevorzugt den Import durch eine externe (Poppler mit cairo Backend) Bibliothek. Text besteht aus Gruppen geklonter Zeichen, jedes Zeichen ist ein Pfad. Bilder werden eingebettet gespeichert. Sind Verlaufsgitter enthalten, wird das ganze Dokument als Rastergrafik gerendert.

--convert-dpi-method=METHODE
    Wähle die Methode um ältere (vor Version 0.92) Dateien neu zu skalieren, die auf Grund der Umstellung von 90 DPI auf 96 DPI bei der Auswertung von Längenangaben in Einheiten von Pixeln etwas kleiner dargestellt werden.Mögliche Werte sind "none" (keine Änderung, Dokument wird mit 94% der ursprünglichen Größe dargestellt), "scale-viewbox" (Dokument wird als Ganzes neu skaliert, einzelne Längenangaben bleiben unverändert) und "scale-document" (jede Längenangabe wird einzeln neu skaliert).

--no-convert-text-baseline-spacing
    Text-Grundlinien werden beim Öffnen von älteren (vor Version 0.92) Dateien nicht repariert. Inkscape 0.92 hat die Definition der Eigenschaft 'line-height' aus dem CSS-Standard übernommen. Diese weicht nun von der in älteren Versionen genutzten Definition ab. Standardmäßig werden die Werte für Zeilenhöhe in Dateien, die vor dem Erscheinen von Inkscape 0.92 erstellt worden sind, beim Laden angepasst, um das Erscheinungsbild des Textes zu erhalten. Der Kommandozeilenbefehl bewirkt, dass die Anpassung nicht vorgenommen wird.

-o, --export-filename=DATEINAME
    Legt den Namen der Ausgabedatei fest. Standardmäßig wird der Name der Eingabedatei benutzt. Wird außerdem --export-type benutzt, wird die Dateierweiterung nach Bedarf angepasst (oder hinzugefügt). Andernfalls wird der Dateityp aus der Erweiterung des angegebenen Dateinamens abgeleitet.

    Wir der spezielle Dateiname "-" verwendet, gibt Inkscape alle Bilddaten auf die Standardausgabe (stdout) aus.

--export-overwrite
    Überschreibt die Eingabedatei.

--export-type=DATEITYP[,DATEITYP]
    Gibt den Dateityp für den Export an. Mögliche Werte: svg, png, ps, eps, pdf, emf, wmf und jeder andere Dateityp, für den eine Exporterweiterung verfügbar ist. Es können auch mehrere Dateitypen gleichzeitig exportiert werden.

    Da PostScript keine Transparenz unterstützt, werden alle transparenten Objekte aus dem Original-SVG automatisch in Rastergrafiken umgewandelt. Die verwendeten Schriftarten werden unterteilt und eingebettet. Der Standard-Exportbereich entspricht der Seitengröße, kann aber mit --export-area-drawing auf die Zeichnung beschränkt werden.

    Das PDF-Format behält Transparenzen in der Originaldatei bei.

--export-extension=ERWEITERUNGS-ID
    Ermöglicht die Angabe einer Exporterweiterung, die für den Export verwendet werden soll. Das ist inbesondere dann von Bedeutung, wenn für einen Dateityp mehr als eine Exporterweiterung verfügbar ist. Wenn gesetzt, kann die Dateierweiterung in --export-filename und --export-type weggelassen werden. Allerdings kann in diesem Fall nur ein Dateityp in --export-type angegeben werden.

-C, --export-area-page
    Beim Export nach SVG, PNG, PDF und PS wird die gesamte Seite exportiert. Dies ist die Standardeinstellung für SVG, PNG, PDF und PS, daher braucht dies nicht angegeben zu werden - es sei denn, es wird --export-id verwendet, um ein bestimmtes Objekt zu exportieren. Für EPS wird diese Option derzeit nicht unterstützt.

-D, --export-area-drawing
    Beim Export nach SVG, PNG, PDF, PS und EPS wird die gesamte Zeichnung (nicht die Seite), d.h. die äußere Begrenzung ist der Rahmen um alle Objekte im Dokument (oder des exportierten Objektes, falls --export-id verwendet wird). Bei dieser Option enthält das exportierte Bild alle sichtbaren Objekte des Dokumentes ohne zusätzlichen Rand oder Beschnitt. Für EPS ist dies der Standard-Exportbereich. Beim Export nach PNG kann die Option in Kombination mit --export-use-hints verwendet werden.

-a x0:y0:x1:y1, --export-area=x0:y0:x1:y1
    Geben Sie den Exportbereich beim PNG-Export in px (1/96 Zoll) an. Standardmäßig wird die gesamte Dokumentseite exportiert. Der Punkt (0,0) liegt in der unteren linken Ecke.

--export-area-snap
    Beim PNG-Export vergrößert sich hierdurch der Exportbereich auf den nächsten, ganzzahligen px-Wert. Wenn die Standard-Export-Auflösung von 96 dpi verwendet wird und die Grafik zur Minimierung von Antialiasing am Pixel-Raster eingerastet ist, erlaubt diese Option die Erhaltung dieser Ausrichtung, selbst wenn der Exportbereich von der Begrenzung eines Objektes gebildet wird (mit --export-id oder --export-area-drawing), das selbst nicht am Pixel-Raster ausgerichtet ist.

-d DPI, --export-dpi=DPI
    Die Auflösung für den PNG-Export. Diese wird auch für die ersatzweise Rasterisierung gefilterter Objekte beim Export nach PS, EPS oder PDF verwendet (es sei denn, es wird --export-ignore-filters verwendet, um die Rasterisierung zu unterbinden). Standard sind 96 dpi, wobei 1 SVG-Nutzer-Einheit (px, auch "user unit") 1 Bitmap-Pixel entspricht. Dieser Wert ersetzt den DPI-Hinweis in der SVG-Datei, wenn gleichzeitig --export-use-hints verwendet wird).

-w BREITE, --export-width=BREITE
    Die Breite der generierten Rastergrafik in Pixeln. Dieser Wert hat Vorrang vor der Option --export-dpi (und dem DPI-Hinweis, falls mit --export-use-hints verwendet).

-h HÖHE, --export-height=HÖHE
    Die Höhe der erstellten Rastergrafik in Pixeln. Dieser Wert hat Vorrang vor --export-dpi (oder dem DPI-Hinweis in der SVG-Datei, falls mit --export-use-hints verwendet).

--export-margin=WERT
    Fügt einen Rand zum Exportbereich hinzu. Die Randgröße wird in Einheiten der Seitengröße (für SVG) oder in Millimetern (für PS/PDF) angegeben. Die Option hat für andere Exportformate derzeit keine Funktion.

-i ID, --export-page=all|n[,a-b]*
    Exportiert nur die gewählten Seiten. Wenn mehr als eine Seite angegeben wurde, ist das exportierte Dokument mehrseitig, falls dessen Dateiformat dieses unterstützt.

    Der Wert kann entweder als eine Komma getrennte Liste von Seitennummern oder als ein Bereich in der Form von 2 Seitennummern mit einem Bindestrich dazwischen angegeben werden. Das Schlüsselwort 'all' bewirkt, dass alle Seiten exportiert werden.

-i ID, --export-id=OBJEKT-ID[;OBJEKT-ID]*
    Beim Export nach PNG, PS, EPS, PDF und normalem SVG: ID(s) des Objekts/der Objekte, die exportiert werden sollen. Alle anderen Objekte werden nicht exportiert. Standardmäßig ist der Exportbereich auf das Objekt begrenzt. Dies kann mit --export-area (nur für PNG) oder --export-area-page geändert werden.

    Wenn mehrere Objekte durch eine mit Komma getrennte Liste angegeben werden, dann wird jedes separat exportiert. In diesem Fall werden die exportierten Dateien nach dem Schema [dateiname]_[ID].[export_type] benannt.

-j, --export-id-only
    Beim Export als PNG, PS, EPS, PDF und normales SVG wird nur das Objekt exportiert, dessen id in --export-id angegeben ist. Alle anderen Objekte werden versteckt und sind im exportierten Bild nicht zu sehen, selbst wenn sie über dem exportierten Objekt liegen. Ohne die Angabe von --export-id wird diese Option ignoriert.

-l, --export-plain-svg
    Exportiert das/die Dokument(e) als normales SVG ohne jegliche sodipodi:- oder inkscape:-Namensräume und ohne RDF-Metadaten. Um den Dateinamen anzugeben wird die Option --export-filename benutzt.

--export-png-color-mode=FARBMODUS
    Bestimmt den Farbmodus (Bittiefe und Farbtyp) für exportierte Rastergrafiken (Gray_1/Gray_2/Gray_4/Gray_8/Gray_16/RGB_8/RGB_16/GrayAlpha_8/GrayAlpha_16/RGBA_8/RGBA_16)

--export-png-compression=LEVEL
    Bestimmt das Kompressionslevel für den Export zu PNG (0 bis 9), Standardwert 6.

--export-png-antialias=LEVEL
    Bestimmt die Intensität der Kantenglättung für den Export zu PNG (0 bis 3), Standardwert 2.

--export-png-use-dithering=false|true
    Erzwingt Dithering oder deaktiviert es (der Inkscape-Build muss hierfür Dithering auch unterstützen)

--export-ps-level=LEVEL
    Setzt den Sprach-Level für den PS- und EPS-Export. Postscript Level 2 und 3 werden unterstützt. Standard ist 3.

--export-pdf-version=VERSION
    Wählt die PDF-Version für die exportierte PDF-Datei. Diese Option entspricht der PDF-Versions-Auswahl im PDF-Export-Dialog der Benutzeroberfläche. Es muss eine der Versionen aus der Auswahl verwendet werden, z.B. "1.4". Die standardmäßig für den PDF-Export verwendete Version ist "1.4".

-T, --export-text-to-path
    Konvertiert Textobjekte beim Export in Pfade, sofern sinnvoll (für PS, EPS, PDF und SVG).

--export-latex
    (für den Export nach PS, EPS und PDF) Verwendung für die Erstellung von Bildern für LaTeX-Dokumente, in denen der Text des Bildes von LaTeX gesetzt werden soll. Beim Export in die Formate PDF / PS / EPS bewirkt diese Option die Aufteilung der Ausgabe in eine PDF-/PS-/EPS-Datei (wie angegeben in --export-type) und eine LaTeX-Datei. Der Text ist nicht in der PDF-/PS-/EPS-Datei enthalten, sondern nur in der LaTeX-Datei. Diese LaTeX-Datei bindet das PDF / PS / EPS ein. Wenn man nun diese LaTeX-Datei in seinem LaTeX-Dokument einbindet ((\input{image.tex}), werden im LaTeX-Dokument das Bild und der mit LaTeX gesetzte Text angezeigt. Weitere Informationen finden sich in der resultierenden LaTeX-Datei. Siehe auch die Terminalausgabe von GNUPlot zu `epslatex'.

--export-ignore-filters
    Exportiert gefilterte Objekte (z.B. solche mit Unschärfe) als Vektoren, und ignoriert dabei die Filter (für Export nach PS, EPS und PDF). Standardmäßig werden alle gefilterten Objekte mit der --export-dpi (standardmäßig 96 dpi) in Rastergrafiken umgewandelt, so dass sich ihr Aussehen nicht verändert.

-t, --export-use-hints
    Beim PNG-Export den Exportdateinamen und den DPI-Hinweis, die im zu exportierenden Objekt gespeichert sind, verwenden. Diese Angaben werden automatisch gesetzt, wenn man eine Auswahl aus Inkscape heraus exportiert. Wenn man also eine Form mit id="path231" als /home/me/form.png mit 300 dpi aus dokument.svg exportiert und danach das Dokument speichert, kann man später mit folgendem Befehl die Form mit derselben Auflösung in dieselbe Datei erneut exportieren:

        inkscape -i path231 -t dokument.svg

    Bei Verwendung von --export-dpi, --export-width oder --export-height zusammen mit dieser Option wird der DPI-Hinweis ignoriert und der Wert von der Kommandozeile wird verwendet. Bei Verwendung von --export-filename mit dieser Option wird die Dateinamens-Angabe ignoriert und der Dateiname von der Kommandozeile wird verwendet.

-b FARBE, --export-background=FARBE
    Die Hintergrundfarbe für das exportierte PNG-Bild. Jeder Farbwert, der von SVG unterstützt wird, ist möglich, z.B. "#ff007f" oder "rgb(255, 0, 128)". Falls nicht gesetzt, wird die Seitenfarbe, die in Inkscape in den Dokumenteneinstellungen ausgewählt wurde, verwendet (gespeichert im Attribut pagecolor= in sodipodi:namedview).

-y WERT, --export-background-opacity=WERT
    Die Deckkraft des Hintergrundes des exportierten PNG-Bildes. Der Wert kann zwischen 0.0 und 1.0 liegen (0.0 bedeutet vollständig transparent, 1.0 vollständig deckend) oder aber zwischen 1 und 255 (255 ist volle Deckkraft). Wenn dieser Wert nicht gesetzt wurde und Option -b nicht verwendet wird, dann wird die Deckkraft, die in Inkscape im Dokumenteneinstellungen-Dialog gewählt wurde, verwendet (gespeichert im Attribut inkscape:pageopacity= von sodipodi:namedview). Wenn nicht gesetzt, aber gemeinsam mit der Option -b verwendet, wird der Wert 255 (vollständig transparent) verwendet.

-I, --query-id=OBJEKT-ID[,OBJEKT-ID]*
    Durch Komma getrennte Liste von IDs der Objekte, deren Größe abgefragt werden soll. Wenn nicht gesetzt, wird die Größe der Zeichnung (d.h. des Rahmens um alle Objekte im Dokument) zurückgegeben, nicht die Seitengröße oder die viewBox.

    Wenn mehrere Werte als durch Komma getrennte Liste angegeben werden, dann gibt jede Größen-Abfrage (z.B. --query-x) eine durch Komma getrennte Liste von Werten entsprechend der mit --query-id angegebenen Liste von Objekten aus.

-S, --query-all
    Gibt eine komma-separierte Liste aller Objekte im SVG-Dokument mit einer ID aus, zusammen mit den jeweiligen Werten für x, y, Breite und Höhe.

-X, --query-x
    Fragt die X-Koordinate der Zeichnung oder des Objektes mit --query-id, falls angegeben, ab. Der zurückgegebene Wert hat die Einheit px (SVG-Nutzer-Einheiten).

-Y, --query-y
    Fragt die Y-Koordinate der Zeichnung oder des Objektes mit --query-id, falls angegeben, ab. Der zurückgegebene Wert hat die Einheit px (SVG-Nutzer-Einheiten).

-W, --query-width
    Fragt die Breite der Zeichnung oder des Objektes mit --query-id, falls angegeben, ab. Der zurückgegebene Wert hat die Einheit px (SVG-Nutzer-Einheiten).

-H, --query-height
    Fragt die Höhe der Zeichnung oder des Objektes mit --query-id, falls angegeben, ab. Der zurückgegebene Wert hat die Einheit px (SVG-Nutzer-Einheiten).

--vacuum-defs
    Entfernt alle nicht verwendeten Elemente aus dem "<defs>"-Abschnitt der SVG-Datei. Wenn diese Option zusammen mit --export-plain-svg verwendet wird, wird nur die exportierte Datei dadurch verändert. Allein verwendet, wird die angegebene Datei selbst verändert.

--select=OBJEKT-ID[,OBJEKT-ID]*
    Der Befehl --select wählt Objekte mit der angegebenen ID aus. Um mehrere Objekte auszuwählen wird eine durch Komma getrennte Liste verwendet. Das ermöglicht es, diese Objekte mit verschiedenen Verben zu bearbeiten. "--verb=EditDeselect" verwirft die gesamte Auswahl. Die verfügbaren Objekt-IDs hängen vom Dokument ab, das geladen werden soll.

--actions=AKTION(:ARG)[;AKTION(:ARG)]*
    Aktionen sind eine neue Methode um Funktionen mit einem optionalen Parameter aufzurufen. Die Option --action-list listed die IDs der verfügbaren Aktionen auf. Alle Verben werden nach und nach durch Aktionen ersetzt. Bis es so weit ist, kann jedes Verb auch als (parameterlose) Aktion verwendet werden. Es ist zu beachten, dass die meisten Verben eine Benutzeroberfläche benötigen (selbst wenn diese nicht aktiv genutzt wird). Um die Benutzeroberfläche nach der Verarbeitung automatisch zu schließen kann die Option --batch-process genutzt werden. Zusätzlich gibt es zu allen Export-Optionen passende Aktionen (zur Verwendung wird einfach der Prefix '--' vor der Option entfernt und '=' durch ':' ersetzt).

    Wenn auschließlich Aktionen verwendet werden, muss --batch-process verwendet werden.

    Ein Export kann jederzeit durch die Aktion 'export-do' ausgelöst werden. Dies ermöglicht mehrfache Exporte aus einer einzelnen Datei.

--action-list
    Zeigt alle zur Verfügung stehenden Aktionen an.

--actions-file=DATEINAME
    Führt alle Aktionen aus, die in der angegebenen Datei aufgeführt sind. Die Datei muss gemäß der Syntax von --actions formatiert sein. Das Argument --actions wird ignoriert, wenn es gleichzeitig mit dieser Option verwendet wird.

-g, --with-gui
    Versucht, die grafische Oberfläche zu verwenden (unter Unix wird der X-Server benutzt, selbst wenn $DISPLAY nicht gesetzt ist).

-q, --active-window
    Der Befehl wird im zuletzt fokussierten Inkscape-Dokument ausgeführt, anstatt einen neuen Inkscape-Prozess zu starten.

--export-ps-level=LEVEL
    Bestimmt, welches X-Display für das Inkscape-Fenster verwendet werden soll

--app-id-tag=TAG
    Erzeugt eine eindeutige Inkscape-Instanz mit der Anwendungs-ID 'org.inkscape.Inkscape.TAG'. Dies kann genutzt werden, um Inkscape-Instanzen mit unterschiedlichen Versionen oder unterschiedlichen Einstellungsdateien gleichzeitig laufen zu lassen.

--batch-process
    Schließt das Fenster nachdem alle Aktionen oder Verben ausgeführt wurden.

--shell
    Dieser Parameter bewirkt, dass Inkscape interaktiven Kommandozeilenmodusgestartet wird. In diesem Modus gibt man Befehle im Terminal ein und Inkscape führt diese aus, ohne dass für jeden Befehl eine neue Instanz von Inkscape gestartet werden muss. Diese Funktion ist hilfreich für die Verwendung mit Skripten und auf Servern: sie fügt keine neuen Fähigkeiten hinzu, aber erlaubt die Ausführungsgeschwindigkeit und Arbeitsspeicheranforderungen von Skripten zu optimieren, die Inkscape wiederholt aufrufen und Kommandozeilenbefehle (wie Export oder Konversionen) ausführen.

    Im interaktiven Kommandozeilenmodus erwartet Inkscape eine aufeinanderfolgende Reihe von Aktionen (oder Verben) als Eingabe. Diese werden zeilenweise verarbeitet, also typischerweise wen die Eingabetaste gedrückt wird. Es ist möglich (aber nicht erforderlich) alle Aktionen in eine einzelne Zeile zusammenzufassen.

    Diese Option kann mit dem Parameter --active-window kombiniert werden, um die Shell-Befehle in einem bereits geöffneten Inkscape-Dokument auszuführen.

    Folgendes Beispiel öffnet eine Datei und exportiert sie in zwei unterschiedliche Formate, öffnet anschließend eine andere Datei und exportiert ein einzelnes Objekt:

        file-open:datei1.svg; export-type:pdf; export-do; export-type:png; export-do
        file-open:datei2.svg; export-id:rechteck2; export-id-only; export-filename:nur_rechteck.svg; export-do

EINSTELLUNGEN
Die Hauptkonfigurationsdatei liegt in ~/.config/inkscape/preferences.xml. Darin werden eine Vielzahl an Einstellungen gespeichert, die in Inkscape geändert werden können (großteils über den Einstellungsdialog). In den Unterverzeichnissen können auch eigene Dateien abgelegt werden, und zwar für:

$HOME/.config/inkscape/extensions/ - Erweiterungen.

$HOME/.config/inkscape/fonts/ - Schriftarten.

$HOME/.config/inkscape/icons/ - Icons.

$HOME/.config/inkscape/keys/ - Tastenzuordnungs-Dateien.

$HOME/.config/inkscape/paint/ - Muster und Schraffuren.

$HOME/.config/inkscape/palettes/ - Farbpaletten.

$HOME/.config/inkscape/symbols/ - Symboldateien.

$HOME/.config/inkscape/templates/ - Vorlagen für neue Dateien.

$HOME/.config/inkscape/ui/ - Dateien für die Benutzeroberfläche.

FEHLERSUCHE
Das Programm gibt bei Erfolg eine Null zurück, bei einem Fehler einen von Null verschiedenen Wert.

Es können viele verschiedene Fehlernachrichten und Warnungen auf STDERR oder STDOUT ausgegeben werden. Wenn das Programm sich mit einer bestimmten SVG-Datei sonderbar verhält oder abstürzt, ist es hilfreich, diese Ausgabe nach Hinweisen zu durchsuchen.

BEISPIELE
Obwohl Inkscape offenkundig als grafische Anwendung konzipiert ist, kann man damit auch SVG-Dateien über die Kommandozeile verarbeiten.

Eine SVG-Datei in der Benutzeroberfläche öffnen:

    inkscape dateiname.svg

Eine SVG-Datei mit der Standardauflösung von 96 dpi nach PNG exportieren (eine SVG-Nutzer-Einheit entspricht einem Pixel in der Rastergrafik):

    inkscape --export-filename=dateiname.png dateiname.svg

Dasselbe, aber erzwingt eine Größe von 600x400 Pixeln für die PNG-Datei:

    inkscape --export-filename=dateiname.png -w 600 -h 400 dateiname.svg

Dasselbe, exportiert jedoch nur die Zeichnung (den Begrenzungsrahmen um alle Objekte), nicht die Seite:

    inkscape --export-filename=dateiname.png --export-area-drawing dateiname.svg

Exportiert zwei unterschiedliche Dateien in jeweils vier unterschiedliche Dateiformate:

    inkscape --export-type=png,ps,eps,pdf dateiname1.svg dateiname2.svg

Exportiert das Objekt mit id="text1555" nach PNG, mit demselben Namen für die Ausgabedatei und derselben Auflösung wie beim letzten Mal, als es aus der Benutzeroberfläche heraus exportiert wurde:

    inkscape --export-id=text1555 --export-use-hints dateiname.svg

Dasselbe, verwendet jedoch die Standardauflösung 96 dpi, gibt einen Dateinamen an und erweitert den Exportbereich auf den nächsten, ganzzahligen Wert für SVG-Nutzer-Einheiten (um die pixelgenaue Ausrichtung der Objekte zu erhalten und damit Antialiasing zu verringern).

    inkscape --export-id=text1555 --export-filename=text.png --export-area-snap dateiname.svg

Konvertiert ein SVG-Dokument in ein normales SVG:

    inkscape --export-plain-svg --export-filename=dateiname2.svg dateiname1.svg

Konvertiert ein SVG-Dokument zu EPS, wobei alle Texte in Pfade umgewandelt werden:

    inkscape --export-filename=filename.eps --export-text-to-path dateiname.svg

Fragt die Breite des Objektes mit id="text1555" ab:

    inkscape --query-width --query-id=text1555 dateiname.svg

Dupliziert die Objekte mit id="path1555" und id="rect835", dreht die Duplikate um 90 Grad, speichert die SVG-Datei und beendet sich:

    inkscape --select=path1555,rect835 --actions="duplicate;object-rotate-90-cw" --export-overwrite dateiname.svg

Wählt alle Objekte des Typs Ellipse, dreht sie um 30 Grad, speichert die Datei und beendet sich.

    inkscape --actions="select-by-element:ellipse;transform-rotate:30" --export-overwrite dateiname.svg

Exportiert das Objekt mit der ID 'MeinDreieck' mit einem halbtransparenten lilafarbenen Hintergrund in die Datei 'dreieck_lila.png' und mit einem roten Hintergrund in die Datei 'dreieck_rot.png'.

    inkscape --actions="export-id:MeinDreieck; export-id-only; export-background:purple; export-background-opacity:0.5;export-filename:dreieck_lila.png; export-do; export-background:red; export-background-opacity:1; export-filename:tdreieck_rot.png; export-do" dateiname.svg

Eine SVG-Datei von der Standardeingabe (stdin) lesen und ins PDF-Format exportieren.

    cat dateiname.svg | inkscape --pipe --export-filename=dateiname.pdf

Eine SVG-Datei ins PNG-Format exportieren und auf der Standardausgabe (stdout) ausgeben, anschließend mit dem ImageMagick-Programm convert in das JPG-Format konvertieren.

    inkscape --export-type=png --export-filename=- dateiname.svg | convert - dateiname.jpg

Wie oben, jedoch wird auch die Eingabedatei von einer Pipe gelesen (--export-filename kann dann entfallen)

    cat dateiname.svg | inkscape --pipe --export-type=png | convert - dateiname.jpg

UMGEBUNGSVARIABLEN

INKSCAPE_PROFILE_DIR
    Setzt einen benutzerdefinierten Pfad zum Inkscape Profilordner.

INKSCAPE_DATADIR
    Setzt einen benutzerdefinierten Pfad zum Inkscape Datenverzeichnis (z.B. $PREFIX/share wenn die gemeinsamen Inkscape-Daten sich in $PREFIX/share/inkscape befinden).

INKSCAPE_LOCALEDIR
    Setzt einen benutzerdefinierten Pfad zum Übersetzungskatalog.

Für mehr Details, siehe <http://wiki.inkscape.org/wiki/index.php/Environment_variables>

WEITERE INFORMATIONEN
Die offizielle Anlaufstelle für Informationen rund um Inkscape ist <https://www.inkscape.org/>. Auf der Webseite gibt es Nachrichten, Dokumentation, Tutorials, Beispiele, die Mailinglisten, die neueste Programmversion, Links zur Fehlerbericht- und Änderungswunsch-Datenbank, zu Foren und vieles mehr.

SIEHE AUCH
potrace, cairo, rsvg, batik, ghostscript, pstoedit.

Testsammlung zur Überprüfung der SVG-Standardkonformität: <http://www.w3.org/Graphics/SVG/WG/wiki/Test_Suite_Overview>

SVG-Validator: <https://validator.w3.org/>

Scalable Vector Graphics (SVG) 1.1 Specification W3C Recommendation 16 August 2011 <https://www.w3.org/TR/SVG11/>

Scalable Vector Graphics (SVG) 1.2 Specification W3C Working Draft 13 April 2005 <https://www.w3.org/TR/SVG12/>

Scalable Vector Graphics (SVG) 2 Specification W3C Candidate Recommendation 15 September 2016 <https://www.w3.org/TR/SVG2/>

Document Object Model (DOM): Level 2 Core W3C Recommendation 13 November 2000 <https://www.w3.org/TR/DOM-Level-2-Core/>

ANMERKUNGEN ZUR BENUTZEROBERFLÄCHE
Um den Umgang mit der Benutzeroberfläche von Inkscape zu erlernen, steht ein Handbuch im Menü Hilfe > Inkscape-Handbuch, sowie Tutorials im Menü Hilfe > Tutorials zur Verfügung.

Außer SVG kann Inkscape (über Datei > Importieren) die meisten Rastergrafikformate (PNG, BMP, JPG, XPM, GIF usw.), Klartext (erfordert Perl), PS und EPS (erfordert Ghostscript), PDF und AI (AI-Version 9.0 oder neuer) importieren.

Inkscape exportiert 32-bit-PNG-Bilder (Datei > PNG-Bild exportieren) und auch AI, PS, EPS, PDF, DXF und weitere Formate über Datei > Speichern unter.

Inkscape kann Druck- und Neigung eines Grafik-Tablett-Stiftes für die Beeinflussung von Breite, Winkel und Wirkungsstärke mehrerer Werkzeuge, einschließlich des Kalligrafiewerkzeuges, nutzen.

Inkscape bietet auch eine Benutzeroberfläche für die Potrace-Bitmap-Vektorisier-Engine (<http://potrace.sf.net>), die in Inkscape enthalten ist.

Inkscape kann externe Skripte verwenden (stdin-zu-stdout-Filter), die als Einträge im Erweiterungsmenü dargestellt werden. Ein Skript kann einen Dialog in der Benutzeroberfläche öffnen, in dem verschiedene Einstellungen vorgenommen werden können und kann auf die ID der ausgewählten Objekte, die bearbeitet werden sollen, über die Kommandozeile zugreifen. Inkscape beinhaltet eine Auswahl von Effekten, die in Python geschrieben sind.

TASTATURBEFEHLE
Eine vollständige Liste der Tastatur- und Mausbefehle findet sich in der Datei doc/keys.html oder über "Referenz der Tasten- und Mausbefehle" im Menü "Hilfe".

PROGRAMMFEHLER
Viele Fehler sind bereits bekannt. Die Webseite (<https://www.inkscape.org/>) enthält Informationen dazu, wie man bei der Bearbeitung der bereits gemeldeten Fehler helfen kann und wie man neue Probleme melden kann. Siehe hierzu auch den Abschnitt "Bekannte Probleme" in den Veröffentlichungshinweisen zur verwendeten Inkscape-Version (Datei `NEWS`).

GESCHICHTE
Der Code, aus dem einmal Inkscape werden sollte, wurde 1999 als Gill, die GNOME-Illustrator-Anwendung, von Raph Levien ins Leben gerufen. Das erklärte Ziel von Gill war es, einmal alle SVG-Eigenschaften zu unterstützen. Raph implementierte das PostScript-Bezier-Imaging-Modell, einschließlich Kontur und Füllung, Stile für Linienenden, Stile für Linienverbindungen, Text und mehr. Raph Gills Homepage ist <http://www.levien.com/svg/> . Die Arbeit an Gill verlangsamte sich oder endete im Jahr 2000.

Der Nachfolger dieser Codebasis sollte das sehr beliebte Programm Sodipodi werden, unter der Leitung von Lauris Kaplinski. Der Code wandelte sich in mehrjähriger Arbeit hin zu einem mächtigen Illustrationsprogramm, das viele neue Funktionen, Unterstützung für Mehrsprachigkeit und eine Version für Windows und andere Betriebssysteme erhielt, und Abhängigkeiten eliminierte.

Inkscape wurde im Jahr 2003 von vier aktiven Sodipodi-Entwicklern - Bryce Harrington, MenTaLguY, Nathan Hurst und Ted Gould - gegründet, die eine andere Entwicklungsrichtung einschlagen wollten, um sich mehr auf SVG-Standardkonformität zu konzentrieren, das Interface-Design zu verbessern und um mehr Menschen eine Möglichkeit zur Teilhabe an der Entwicklung zu bieten. Das Projekt entwickelte sich rasch und gewann dabei eine Menge sehr aktiver Beitragender und neuer Funktionen.

Ein großer Teil der Arbeit in der Anfangszeit des Projektes bestand aus der Stabilisierung des Codes und der Internationalisierung. Der ursprüngliche Renderer, den Inkscape von Sodipodi geerbt hatte, war gespickt mit vielen mathematischen Grenzfällen, die das Programm bei ungewöhnlicher Verwendung zum Absturz brachten. Dieser Renderer wurde durch Livarot ersetzt, das zwar auch nicht perfekt war, aber doch wesentlich weniger fehleranfällig. Das Projekt machte es sich zur Gewohnheit, neuen Code möglichst rasch zusammenzuführen, und Benutzer zu ermutigen, auch Entwicklerversionen des Programmes zu verwenden. Dies half dabei, neue Fehler schnell zu entdecken und ermöglichte es den Nutzern, die Reparaturen zu testen. Dies führte dazu, dass Inkscape-Veröffentlichungen im allgemeinen unter dem Ruf stehen stabil und zuverlässig zu sein.

Es wurde sich um die Internationalisierung und Lokalisierung der Benutzeroberfläche bemüht, was dem Projekt dabei half, weltweit Mitwirkende zu gewinnen.

Inkscape hatte einen positiven Einfluss darauf, wie visuell ansprechend Open Source im Allgemeinen wahrgenommen wird, indem es ein Werkzeug zur Verfügung stellte, mit dem Icons, Startbildschirme, Webseiten-Grafiken und so weiter erstellt werden können. Obwohl Inkscape eigentlich "nur ein Zeichenprogramm" ist, spielte es eine große Rolle dabei, Open Source für ein breiteres Publikum grafisch reizvoller zu machen.

AUTOREN
Dieser Code verdankt seine Existenz einer großen Anzahl von Mitwirkenden an Inkscape und seinen Vorgängern. Die folgende Liste ist mit Sicherheit unvollständig - sie soll jedoch dazu dienen, die Arbeit all derer anzuerkennen, die diese Anwendung zusammen geschaffen haben:

Maximilian Albert, Joshua A. Andler, Tavmjong Bah, Pierre Barbry-Blot, Jean-François Barraud, Campbell Barton, Bill Baxter, John Beard, John Bintz, Arpad Biro, Nicholas Bishop, Joshua L. Blocher, Hanno Böck, Tomasz Boczkowski, Adrian Boguszewski, Henrik Bohre, Boldewyn, Daniel Boles, Daniel Borgmann, Bastien Bouclet, Hans Breuer, Gustav Broberg, Christopher Brown, Marcus Brubaker, Luca Bruno, Brynn, Nicu Buculei, Bulia Byak, Pierre Caclin, Ian Caldwell, Gail Carmichael, Ed Catmur, Chema Celorio, Jabiertxo Arraiza Cenoz, Johan Ceuppens, Zbigniew Chyla, Alexander Clausen, John Cliff, Kees Cook, Ben Cromwell, Jon Cruz, Aurélie De-Cooman, Kris De Gussem, Milosz Derezynski, Daniel Díaz, Bruno Dilly, Larry Doolittle, Nicolas Dufour, Tim Dwyer, Maxim V. Dziumanenko, Moritz Eberl, Johan Engelen, Miklos Erdelyi, Ulf Erikson, Noé Falzon, Sebastian Faubel, Frank Felfe, Andrew Fitzsimon, Edward Flick, Marcin Floryan, Fred, Ben Fowler, Cedric Gemy, Steren Giannini, Olivier Gondouin, Ted Gould, Toine de Greef, Michael Grosberg, Bryce Harrington, Dale Harvey, Aurélio Adnauer Heckert, René de Hesselle, Carl Hetherington, Jos Hirth, Hannes Hochreiner, Thomas Holder, Joel Holdsworth, Christoffer Holmstedt, Alan Horkan, Karl Ove Hufthammer, Richard Hughes, Nathan Hurst, inductiveload, Thomas Ingham, Jean-Olivier Irisson, Bob Jamison, Ted Janeczko, Marc Jeanmougin, jEsuSdA, Lauris Kaplinski, Lynn Kerby, Niko Kiirala, James Kilfiger, Nikita Kitaev, Jason Kivlighn, Adrian Knoth, Krzysztof Kosiński, Petr Kovar, Michael Kowalski, Benoît Lavorata, Alex Leone, Julien Leray, Raph Levien, Diederik van Lierop, Nicklas Lindgren, Vitaly Lipatov, Ivan Louette, Fernando Lucchesi Bastos Jurema, Pierre-Antoine Marc, Aurel-Aimé Marmion, Colin Marquardt, Craig Marshall, Ivan Masár, Dmitry G. Mastrukov, David Mathog, Matiphas, Patrick McDermott, Michael Meeks, Federico Mena, MenTaLguY, Aubanel Monnier, Vincent Montagne, Tim Mooney, Derek P. Moore, Chris Morgan, Peter Moulder, Jörg Müller, Yukihiro Nakai, Victor Navez, Jonathan Neuhauser, Christian Neumair, Nick, Andreas Nilsson, Mitsuru Oka, Vinícius dos Santos Oliveira, Martin Owens, PBS, Alvin Penner, Matthew Petroff, Jon Phillips, Zdenko Podobny, Alexandre Prokoudine, Jean-René Reinhard, Alexey Remizov, Frederic Rodrigo, Hugo Rodrigues, Jean Franco Amoni Rodríguez, Juarez Rudsatz, Xavier Conde Rueda, Felipe Corrêa da Silva Sanches, Christian Schaller, Marco Scholten, Tom von Schwerdtner, Markus Schwienbacher, Danilo Šegan, Abhishek Sharma, Tim Sheridan, Shivaken, Rafał Siejakowski, Michael Sloan, John Smith, Sandra Snan, Boštjan Špetič, Aaron Spike, Kaushik Sridharan, Ralf Stephan, Dariusz Stojek, Patrick Storz, Martin Sucha, Sushant A.A., ~suv, Pat Suwalski, Adib Taraben, Parcly Taxel, Hugh Tebby, Jonas Termeau, David Turner, Andre Twupack, Aleksandar Urošević, Alex Valavanis, Joakim Verona, Lucas Vieites, Daniel Wagenaar, Liam P. White, Sebastian Wüst, Michael Wybrow, Gellule Xg, Daniel Yacob, Masatake Yamato, David Yip, Wen-Wei Kao

URHEBERRECHT UND LIZENZ
Copyright (C) 1999-2023 liegt bei den Autoren.

Inkscape ist freie Software. Sie dürfen es zu den Bedingungen der GPL in Version 2 oder höher weiterverbreiten und / oder verändern.